eLECTIONS Your Adventure in Politics brought to you by Cable in the Classroom Cable in the Classroom
A Broadband Learning Experience from
Cable in the Classroom
  
Cable in the Classroom CNN Student News
  
C-SPAN History

present
WWE SMACKDOWN YOUR VOTE eLECTIONS: Your Adventure in Politics

Play eLECTIONS

eLECTIONS requires the free browser plugin Adobe SHOCKWAVE Player 10.2 or above. If you do not have it installed, you will be prompted to install now.

If you can see the SHOCKWAVE logo left, you have the plug-in installed. If not, click here to install.

Additionally, the Shockwave application requires your permission to install the component PrintOMatic Lite MX Xtra that adds essential printing functionality to the game. You will be prompted to install once you start the game.

If playing eLECTIONS on an Intel-based MAC, please see Using Shockwave Player on an Intel-based Macintosh.

eLECTIONS is better suited for version 7 of Internet Explorer.
Please read the Minimum Technical Requirements for the game.